Subject: Re: [linux-fbdev] Re: readl() and friends and eieio on PPC

From: Jes Sorensen <[email-masked]>
Date: 14 Aug 1999 21:48:05 +0200

>>>>> "David" == David A Gatwood <[email-masked]> writes:

David> On 14 Aug 1999, Jes Sorensen wrote: #define eieio() __asm__
David> volatile("li 0,0: cmpwi 0,0; bne+ 0f; eieio; 0:" : : : "0")
>>  Defininf a C function with the name of a PPC specific assembler
>> function is pretty stupid. To the best of my knowledge wmb() is the
>> generic name for the thing you are looking for.

David> Keep in mind, I'm talking about MkLinux, _not_ LinuxPPC.  wmb()
David> is a linux-specific term, as far as I know.  The above is in
David> mach.

Urgh

Ok we were discussing the normal kernel here.

Jes

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]